Reports
Retrieve a reportUrl by accountId, month, year, and report type. The reportUrl can be appended to the /files endpoint to access the report.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdstring · uuidRequired
The account ID
Query parameters
reportTypestring · enumRequiredPossible values:
The type of report
yearinteger · min: 2020 · max: 2099Required
The year of the report
monthinteger · min: 1 · max: 12Required
The month of the report (1-12)
Responses
200
Successful response with signed report URL
application/json
accountIdstring · uuidRequired
The account ID
monthinteger · min: 1 · max: 12Required
The month of the report
yearinteger · min: 2020 · max: 2099Required
The year of the report
reportTypestring · enumRequiredPossible values:
The type of statement report
reportUrlstring · uriRequiredExample:
Signed S3 URL for the report (valid for 5 minutes)
reports/monthly-statement/2025/01/statement.pdf400
Validation Error
401
Unauthorized
403
Insufficient Privileges
404
Not Found
application/json
4XX
Client error
5XX
Server error
get/v1/accounts/{accountId}/reports
GET /api/v1/accounts/{accountId}/reports?reportType=MONTHLY_STATEMENT&year=1&month=1 HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"month": 1,
"year": 2025,
"reportType": "MONTHLY_STATEMENT",
"reportUrl": "reports/monthly-statement/2025/01/statement.pdf"
}Last updated